Bug 135421 - yum needs to have an option to force bypassing the http cache
yum needs to have an option to force bypassing the http cache
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 12:47 EDT by Roozbeh Pournader
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2004-10-12 12:47:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
yum should have a feature for forcing the http cache to give a new
version of the files. In my case, a certain http cache in the middle
had cached an older repomd.xml, so yum failed the checksum check when
it compared that checksum with a new version of primary.xml.gz.

It should have an option like wget's cache options that sends a
"Pragma: no-cache" server directive to the server (and thus to the cache).


Version-Release number of selected component (if applicable):
yum-2.1.6-1

How reproducible:
Sometimes

Steps to Reproduce:
1. Configure an http cache in a way that it caches repomd.xml unless
one forces it to refresh, using "Pragma: no-cache", but doesn't cache
anything else.
2. yum update
3. wait a few days
4. yum update


Actual Results:  the update fails with a failed checksum error.

Expected Results:  the machine should be updated.

Additional info:

The workaround is getting all the files in the "repodata" directory
with a wget with its cache off, then retrying yum update.
Comment 1 Roozbeh Pournader 2005-02-26 10:22:03 EST
This is now filed in the yum bugzilla as bug #412:
https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=412
Comment 2 Roozbeh Pournader 2005-03-21 12:42:07 EST
Patches are now available upstream at:
   https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=412
with discussion about *possible* security implications.
Comment 3 Seth Vidal 2005-07-29 14:32:44 EDT
fixed upstream and in latest releases iirc.
closing

Note You need to log in before you can comment on or make changes to this bug.